# drag to desktop

Why can't you just drag a song or Playlist from Spotify to your desktop? And click to play later? :-)
- it'll make a special type of link
- holding (touch) or right clicking it brings up a menu to Share to social media, copy ID, or URL